/*Copyright (C) 2009  Annette Bieniusa, Arie Middelkoop.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package vacation;

import dstm.Atomic;
import dstm.Transactional;

import vacation.Reservation.ReservationType;

@Transactional
public class Customer {
	int id;
	SingleLinkedList<ReservationInfo> reservationInfoList;
	
	public Customer(int id,SingleLinkedList<ReservationInfo> resInfoList) {
		this.id = id;
		this.reservationInfoList = resInfoList; 
	}
	
	@Atomic
	public boolean addReservationInfo(ReservationType t, int id, int price) {
		ReservationInfo resInfo = new ReservationInfo(t,id,price);
		return this.reservationInfoList.add(resInfo);
	}
	
	@Atomic
	public boolean removeReservationInfo (ReservationType t, int id){
		return this.reservationInfoList.remove(new ReservationInfo(t,id,-1));
	}
	
	@Atomic
	public int getBill(){
		int bill = 0;	
		for (ReservationInfo resInfo : this.reservationInfoList){
			bill += resInfo.getPrice();
		}
		return bill;
	}

}
