/*Copyright (C) 2009  Annette Bieniusa, Arie Middelkoop.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package vacation;

import vacation.Reservation.ReservationType;

public class ReservationInfo implements Comparable<ReservationInfo>{
	private ReservationType t;
	private int id;
	private int price;
	
	public ReservationInfo(ReservationType t, int id, int price) {
		this.t = t;
		this.id = id;
		this.price = price;
	}

	boolean equals(ReservationInfo resInfo){
		return (this.t == resInfo.t && this.id == resInfo.id);
	}

	public int getPrice() {
		return this.price;
	}

	public ReservationType getType() {
		return this.t;
	}

	public int getId() {
		return this.id;
	}

	@Override
	public int compareTo(ReservationInfo o) {
		//FIXME rethink...
		return ((Integer) this.id).compareTo((Integer)o.id);
	}
}
